summaryrefslogtreecommitdiff
path: root/regen-docs
diff options
context:
space:
mode:
authorMiro Hron?ok <miro@hroncok.cz>2018-06-08 18:49:42 +0200
committerMiro Hron?ok <miro@hroncok.cz>2018-06-08 18:49:42 +0200
commitbb9bdf7e5b5cb0d3458242c5b8ba6134efb282a4 (patch)
treee3f03e7ce1f234e0c91075da6d0b56040f693162 /regen-docs
downloadpaste-git-bb9bdf7e5b5cb0d3458242c5b8ba6134efb282a4.tar.gz
Don't raise StopIteration from generator, return instead
See https://www.python.org/dev/peps/pep-0479/
Diffstat (limited to 'regen-docs')
-rwxr-xr-xregen-docs9
1 files changed, 9 insertions, 0 deletions
diff --git a/regen-docs b/regen-docs
new file mode 100755
index 0000000..c98763d
--- /dev/null
+++ b/regen-docs
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+mkdir -p docs/_static docs/_build
+sphinx-build -E -b html docs/ docs/_build || exit 1
+if [ "$1" = "publish" ] ; then
+ cd docs/
+ echo "Uploading files..."
+ scp -r _build/* ianb@webwareforpython.org:/home/paste/htdocs/
+fi